#
# spec file for package libbonobo (Version 2.10.1)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           libbonobo
BuildRequires:  docbook_4 gnome-common gtkdoc intltool libidl libxml2-devel openssl orbit2-devel perl-XML-Parser xmlcharent
%define prefix		/opt/gnome
%define sysconfdir	/etc
Summary:        The Bonobo Component System for the GNOME 2.x Desktop Platform
Version:        2.10.1
Release:        24.12.22
License:        GPL v2 or later; LGPL v2.1 or later
Obsoletes:      bonobo-activation
Provides:       bonobo-activation
Group:          Development/Libraries/GNOME
Source:         libbonobo-%{version}.tar.bz2
Url:            http://www.gnome.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Patch:          libbonobo-strict-aliasing.patch
Patch1:         libbonobo-includes.patch
Patch2:         libbonobo-attributes.patch
Patch3:         libbonobo-fork.patch
Patch4:         libbonobo-arguments.patch
Patch5:         libbonobo-re-enter.patch
Patch6:         libbonobo-fd-leak.patch
Patch7:         libbonobo-bnc521575-dont-inherit-file-descriptors.patch

%description
Bonobo is a component system for the GNOME platform. Libbonobo is the
new version for the GNOME 2.x Desktop platform.



Authors:
--------
    Miguel de Icaza (miguel@ximian.com)
    Nat Friedman    (nat@ximian.com)
    Michael Meeks   (michael@ximian.com)
    Dietmar Maurer  (dietmar@ximian.com)
    Alex Graveley   (alex@ximian.com)
    Mike Kestner    (mkestner@ameritech.net)
    Joe Shaw        (joe@ximian.com)

%package devel
License:        GPL v2 or later; LGPL v2.1 or later
Summary:        Include Files and Libraries mandatory for Development.
Group:          Development/Libraries/GNOME
Requires:       %{name} = %{version} glib2-devel orbit2-devel popt-devel
Obsoletes:      bonobo-activation-devel
Provides:       bonobo-activation-devel

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.



Authors:
--------
    Miguel de Icaza (miguel@ximian.com)
    Nat Friedman    (nat@ximian.com)
    Michael Meeks   (michael@ximian.com)
    Dietmar Maurer  (dietmar@ximian.com)
    Alex Graveley   (alex@ximian.com)
    Mike Kestner    (mkestner@ameritech.net)
    Joe Shaw        (joe@ximian.com)

%package doc
License:        GPL v2 or later; LGPL v2.1 or later
Summary:        Additional Package Documentation.
Group:          Development/Libraries/GNOME
Requires:       %{name} = %{version}
Obsoletes:      bonobo-activation-doc
Provides:       bonobo-activation-doc

%description doc
Bonobo is a component system for the GNOME platform. Libbonobo is the
new version for the GNOME 2.x platform.



Authors:
--------
    Miguel de Icaza (miguel@ximian.com)
    Nat Friedman    (nat@ximian.com)
    Michael Meeks   (michael@ximian.com)
    Dietmar Maurer  (dietmar@ximian.com)
    Alex Graveley   (alex@ximian.com)
    Mike Kestner    (mkestner@ameritech.net)
    Joe Shaw        (joe@ximian.com)

%prep
%setup -q
%patch
%patch1
%patch2 -p1
%patch3 -p1
%patch4
%patch5 -p1
%patch6
%patch7 -p1

%build
rename no nb po/no.*
sed "s/\(ALL_LINGUAS.*\) no /\1 nb /" configure.in > configure.in.tmp && mv configure.in.tmp configure.in
%{?suse_update_config:%{suse_update_config -f}}
autoreconf -f -i
ac_cv_path_PATH_TO_XRDB=/usr/X11R6/bin/xrdb \
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" ./configure $MYARCH_FLAGS \
	--prefix=%{prefix} \
	--mandir=%{prefix}/share/man \
	--libdir=%{prefix}/%_lib \
	--libexecdir=%{prefix}/lib/bonobo \
	--sysconfdir=%{sysconfdir} \
        --enable-gtk-doc
make 

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
%find_lang libbonobo-2.0

%post
%run_ldconfig

%postun
%run_ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -f libbonobo-2.0.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%dir %{sysconfdir}/bonobo-activation
%config %{sysconfdir}/bonobo-activation/*
%{prefix}/bin/*
%{prefix}/sbin/*
%{prefix}/%_lib/lib*.so.*
%dir %{prefix}/%_lib/bonobo
%dir %{prefix}/%_lib/bonobo/monikers
%dir %{prefix}/%_lib/bonobo/servers
%if "%_lib" != "lib"
%dir %{prefix}/lib/bonobo
%endif
%{prefix}/lib/bonobo/bonobo-activation-server
%{prefix}/%_lib/bonobo/monikers/*.so
%{prefix}/%_lib/bonobo/servers/*
%{prefix}/%_lib/orbit-2.0/*.so
%doc %{prefix}/share/man/man?/*.*

%files devel
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{prefix}/include/*
%{prefix}/%_lib/lib*.*a
%{prefix}/%_lib/lib*.so
%{prefix}/%_lib/bonobo/monikers/*.*a
%{prefix}/%_lib/orbit-2.0/*.*a
%{prefix}/share/idl/*
%{prefix}/%_lib/pkgconfig/*.pc

%files doc
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{prefix}/share/gtk-doc/html/*
%{prefix}/%_lib/bonobo-2.0

%changelog
* Sun Dec  5 2010 ro@suse.de
- regenerate patches to remove fuzz
* Thu Dec  2 2010 federico@novell.com
- Added libbonobo-bnc521575-dont-inherit-file-descriptors.patch to
  fix bnc#521575 - make bonobo-activation-server not inherit file descriptors
  to its children.
* Wed May 17 2006 gekker@suse.de
- Fix file descriptor leak (#176555)
* Tue Mar  7 2006 jpr@suse.de
- Prevent re-entrancy crash (#149735)
* Sat Feb 18 2006 aj@suse.de
- Reduce BuildRequires.
* Tue Feb  7 2006 rodrigo@suse.de
- Fixed problems with arguments parsing and GOptions (148666)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Jan 14 2006 jpr@suse.de
- Patch corrupted memory (#141322)
* Wed Nov  2 2005 dmueller@suse.de
- don't build as root
* Mon Aug 22 2005 gekker@suse.de
- Update to version 2.10.1
* Thu Jul 21 2005 gekker@suse.de
- Update to version 2.10.0
* Thu Jun 16 2005 gekker@suse.de
- Fix sentinel patch to work with new glib2.
* Wed Jun  1 2005 sbrabec@suse.cz
- Fixed devel requirements (#72282).
* Mon Apr 11 2005 sbrabec@suse.cz
- Fixed Requires of doc subpackage.
* Wed Feb  9 2005 gekker@suse.de
- Update to 2.8.1
- Update neededforbuild, so that it will build docs
* Mon Jan 31 2005 meissner@suse.de
- added attribute sentinel/printf patch to spot
  bad use of va_list functions.
* Mon Nov 22 2004 ro@suse.de
- make specfile rpm3 compliant ...
  (non numeric if arguments need quoting)
* Fri Nov 19 2004 gekker@suse.de
- Update version to 2.8.0
* Fri Nov 19 2004 ro@suse.de
- removed extra aclocal include directive
* Mon Oct 25 2004 ro@suse.de
- locale rename: no -> nb
* Tue Oct 12 2004 sbrabec@suse.cz
- Fixed libexecdir for bi-arch (#47050).
* Mon Jul  5 2004 jody@suse.de
- Updated to version 2.6.2 (GNOME 2.6).
* Wed Apr 21 2004 sbrabec@suse.cz
- Updated to version 2.6.0 (GNOME 2.6).
* Mon Mar 15 2004 sbrabec@suse.cz
- FHS 2.3 fix (mandir, infodir, #35821).
* Wed Mar 10 2004 sbrabec@suse.cz
- Fixed %%doc attributes (#33163).
* Thu Feb  5 2004 hhetter@suse.de
- updated to version 2.4.3 [GNOME 2.4.2]
* Mon Oct 27 2003 sbrabec@suse.cz
- Updated to version 2.4.1.
* Mon Oct  6 2003 sbrabec@suse.cz
- Updated to version 2.4.0 (GNOME 2.4).
* Sat Aug 16 2003 adrian@suse.de
- the devel package Requires: bonobo-activation-devel
* Fri Aug  8 2003 schwab@suse.de
- Fix missing declarations.
* Wed Jul 23 2003 hhetter@suse.de
- don't try to install broken index files
* Mon Jul 14 2003 sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Tue Jun 17 2003 sbrabec@suse.cz
- Updated to version 2.2.3.
- Prefix clash fixes.
- Added packages for correct doc build.
* Wed Jan 29 2003 hhetter@suse.de
- updated to 2.2.0 version
* Wed Jan 15 2003 hhetter@suse.de
- updated to version 2.1.1
* Fri Nov  1 2002 sbrabec@suse.cz
- Do not own /opt/gnome2/lib/bonobo-2.0/samples, because this is also used
  by libbonoboui.
* Thu Oct 31 2002 hhetter@suse.de
- updated to 2.0.1
- x86_64.diff is upstream, removed
* Thu Oct 24 2002 hhetter@suse.de
- remove wrong docdir
- run automake with -c to copy missing files, not link
  (Bug Id #21066)
* Mon Oct 21 2002 sbrabec@suse.cz
- Update %%files.
* Tue Sep 10 2002 sf@suse.de
- added fix for va_args handling on hammer
* Thu Aug 15 2002 hhetter@suse.de
- branch doc package
* Fri Aug  9 2002 hhetter@suse.de
- add openssl to neededforbuild
* Fri Jul 26 2002 adrian@suse.de
- fix neededforbuild
* Wed Jun 19 2002 ro@suse.de
- use "-a -f" for automake
* Tue Jun  4 2002 hhetter@suse.de
- updated to stable release 2.0.0
* Tue May 14 2002 ro@suse.de
- added servers and monikers dirs to filelist (in $libdir/bonobo)
* Tue May 14 2002 ro@suse.de
- use libdir
* Tue Apr  9 2002 hhetter@suse.de
- update to version 1.113.0 [gnome desktop beta3]
* Fri Feb  1 2002 hhetter@suse.de
- updated to version 1.110.0 [gnome desktop alpha2]
* Thu Jan 17 2002 hhetter@suse.de
- prefix to /opt/gnome2
- specfile cleanup
* Fri Jan 11 2002 hhetter@suse.de
- updated to 1.109.0
* Wed Jan  9 2002 hhetter@suse.de
- fixed filelist
* Tue Jan  8 2002 hhetter@suse.de
- initial SuSE release for GNOME 2.0 platform
- build with automake 1.5
